%define upstream_name    Tapper-Base
%define upstream_version 4.1.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Require that we are running on a particular OS
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(English)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Temp)
BuildRequires: perl(LockFile::Simple)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Module::Find)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Log::Log4perl)
BuildRequires: perl(Test::More)
BuildRequires: perl(common::sense)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
A learned sage once wrote on IRC:

   $^O is stupid and ugly, it wears its pants as a hat

Devel::CheckOS provides a more friendly interface to $^O, and also lets you
check for various OS "families" such as "Unix", which includes things like
Linux, Solaris, AIX etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json META.yml Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 4.1.4-3.mga4
+ Revision: 514847
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.1.4-2.mga3
+ Revision: 373015
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 shlomif <shlomif> 4.1.4-1.mga3
+ Revision: 309760
- imported package perl-Tapper-Base


* Wed Oct 24 2012 cpan2dist 4.1.4-1mga
- initial mageia release, generated with cpan2dist
